#pragma once

static const char *vss =
#include "raycaster.vs"
  ;
static const char *fss =
#include "raycaster.fs"
  ;

#include "renderer.hpp"

#include "glclasses.hpp"
#include "game.hpp"
#include "state/planet.hpp"
#include "state/trace.hpp"
#include "state/player.hpp"
#include "state/ship.hpp"

namespace endofthejedi {

  class RendererShader : Renderer {
  private:
    Shader m_shader;
  protected:
  public:
    RendererShader();
    void render(const game::State *state) override;
  };

}
